SigarProxy (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Interface SigarProxy

All Known Implementing Classes:
  Sigar

    public interface SigarProxy

The proxyable interface for caching via SigarProxyCache. This interface includes all methods which leave java land and gather info from the system. All other accessors, such as the objects returned by these methods do not leave java land.

Method Summary
`Cpu` | `getCpu()`
`CpuInfo[]` | `getCpuInfoList()`
`Cpu[]` | `getCpuList()`
`CpuPerc` | `getCpuPerc()`
`CpuPerc[]` | `getCpuPercList()`
`DirStat` | `getDirStat(java.lang.String name)`
`DirUsage` | `getDirUsage(java.lang.String name)`
`DiskUsage` | `getDiskUsage(java.lang.String name)`
`FileInfo` | `getFileInfo(java.lang.String name)`
`FileSystem[]` | `getFileSystemList()`
`FileSystemMap` | `getFileSystemMap()`
`FileSystemUsage` | `getFileSystemUsage(java.lang.String name)`
`java.lang.String` | `getFQDN()`
`FileInfo` | `getLinkInfo(java.lang.String name)`
`double[]` | `getLoadAverage()`
`Mem` | `getMem()`
`FileSystemUsage` | `getMountedFileSystemUsage(java.lang.String name)`
`MultiProcCpu` | `getMultiProcCpu(java.lang.String query)`
`ProcMem` | `getMultiProcMem(java.lang.String query)`
`NetConnection[]` | `getNetConnectionList(int flags)`
`NetInfo` | `getNetInfo()`
`NetInterfaceConfig` | `getNetInterfaceConfig()`
`NetInterfaceConfig` | `getNetInterfaceConfig(java.lang.String name)`
`java.lang.String[]` | `getNetInterfaceList()`
`NetInterfaceStat` | `getNetInterfaceStat(java.lang.String name)`
`java.lang.String` | `getNetListenAddress(long port)`
`java.lang.String` | `getNetListenAddress(java.lang.String port)`
`NetRoute[]` | `getNetRouteList()`
`java.lang.String` | `getNetServicesName(int protocol, long port)`
`NetStat` | `getNetStat()`
`NfsClientV2` | `getNfsClientV2()`
`NfsClientV3` | `getNfsClientV3()`
`NfsServerV2` | `getNfsServerV2()`
`NfsServerV3` | `getNfsServerV3()`
`long` | `getPid()`
`java.lang.String[]` | `getProcArgs(long pid)`
`java.lang.String[]` | `getProcArgs(java.lang.String pid)`
`ProcCpu` | `getProcCpu(long pid)`
`ProcCpu` | `getProcCpu(java.lang.String pid)`
`ProcCred` | `getProcCred(long pid)`
`ProcCred` | `getProcCred(java.lang.String pid)`
`ProcCredName` | `getProcCredName(long pid)`
`ProcCredName` | `getProcCredName(java.lang.String pid)`
`java.util.Map` | `getProcEnv(long pid)`
`java.lang.String` | `getProcEnv(long pid, java.lang.String key)`
`java.util.Map` | `getProcEnv(java.lang.String pid)`
`java.lang.String` | `getProcEnv(java.lang.String pid, java.lang.String key)`
`ProcExe` | `getProcExe(long pid)`
`ProcExe` | `getProcExe(java.lang.String pid)`
`ProcFd` | `getProcFd(long pid)`
`ProcFd` | `getProcFd(java.lang.String pid)`
`long[]` | `getProcList()`
`ProcMem` | `getProcMem(long pid)`
`ProcMem` | `getProcMem(java.lang.String pid)`
`java.util.List` | `getProcModules(long pid)`
`java.util.List` | `getProcModules(java.lang.String pid)`
`long` | `getProcPort(int protocol, long port)`
`long` | `getProcPort(java.lang.String protocol, java.lang.String port)`
`ProcStat` | `getProcStat()`
`ProcState` | `getProcState(long pid)`
`ProcState` | `getProcState(java.lang.String pid)`
`ProcTime` | `getProcTime(long pid)`
`ProcTime` | `getProcTime(java.lang.String pid)`
`ResourceLimit` | `getResourceLimit()`
`long` | `getServicePid(java.lang.String name)`
`Swap` | `getSwap()`
`Tcp` | `getTcp()`
`Uptime` | `getUptime()`
`Who[]` | `getWhoList()`

Method Detail

### getPid

    long getPid()

### getServicePid

    long getServicePid(java.lang.String name)
                       throws SigarException

  Throws:
    `SigarException`

### getMem

    Mem getMem()
               throws SigarException

  Throws:
    `SigarException`

### getSwap

    Swap getSwap()
                 throws SigarException

  Throws:
    `SigarException`

### getCpu

    Cpu getCpu()
               throws SigarException

  Throws:
    `SigarException`

### getCpuPerc

    CpuPerc getCpuPerc()
                       throws SigarException

  Throws:
    `SigarException`

### getUptime

    Uptime getUptime()
                     throws SigarException

  Throws:
    `SigarException`

### getResourceLimit

    ResourceLimit getResourceLimit()
                                   throws SigarException

  Throws:
    `SigarException`

### getLoadAverage

    double[] getLoadAverage()
                            throws SigarException

  Throws:
    `SigarException`

### getProcList

    long[] getProcList()
                       throws SigarException

  Throws:
    `SigarException`

### getProcStat

    ProcStat getProcStat()
                         throws SigarException

  Throws:
    `SigarException`

### getProcMem

    ProcMem getProcMem(long pid)
                       throws SigarException

  Throws:
    `SigarException`

### getProcMem

    ProcMem getProcMem(java.lang.String pid)
                       throws SigarException

  Throws:
    `SigarException`

### getMultiProcMem

    ProcMem getMultiProcMem(java.lang.String query)
                            throws SigarException

  Throws:
    `SigarException`

### getProcState

    ProcState getProcState(long pid)
                           throws SigarException

  Throws:
    `SigarException`

### getProcState

    ProcState getProcState(java.lang.String pid)
                           throws SigarException

  Throws:
    `SigarException`

### getProcTime

    ProcTime getProcTime(long pid)
                         throws SigarException

  Throws:
    `SigarException`

### getProcTime

    ProcTime getProcTime(java.lang.String pid)
                         throws SigarException

  Throws:
    `SigarException`

### getProcCpu

    ProcCpu getProcCpu(long pid)
                       throws SigarException

  Throws:
    `SigarException`

### getProcCpu

    ProcCpu getProcCpu(java.lang.String pid)
                       throws SigarException

  Throws:
    `SigarException`

### getMultiProcCpu

    MultiProcCpu getMultiProcCpu(java.lang.String query)
                                 throws SigarException

  Throws:
    `SigarException`

### getProcCred

    ProcCred getProcCred(long pid)
                         throws SigarException

  Throws:
    `SigarException`

### getProcCred

    ProcCred getProcCred(java.lang.String pid)
                         throws SigarException

  Throws:
    `SigarException`

### getProcCredName

    ProcCredName getProcCredName(long pid)
                                 throws SigarException

  Throws:
    `SigarException`

### getProcCredName

    ProcCredName getProcCredName(java.lang.String pid)
                                 throws SigarException

  Throws:
    `SigarException`

### getProcFd

    ProcFd getProcFd(long pid)
                     throws SigarException

  Throws:
    `SigarException`

### getProcFd

    ProcFd getProcFd(java.lang.String pid)
                     throws SigarException

  Throws:
    `SigarException`

### getProcExe

    ProcExe getProcExe(long pid)
                       throws SigarException

  Throws:
    `SigarException`

### getProcExe

    ProcExe getProcExe(java.lang.String pid)
                       throws SigarException

  Throws:
    `SigarException`

### getProcArgs

    java.lang.String[] getProcArgs(long pid)
                                   throws SigarException

  Throws:
    `SigarException`

### getProcArgs

    java.lang.String[] getProcArgs(java.lang.String pid)
                                   throws SigarException

  Throws:
    `SigarException`

### getProcEnv

    java.util.Map getProcEnv(long pid)
                             throws SigarException

  Throws:
    `SigarException`

### getProcEnv

    java.util.Map getProcEnv(java.lang.String pid)
                             throws SigarException

  Throws:
    `SigarException`

### getProcEnv

    java.lang.String getProcEnv(long pid,
                                java.lang.String key)
                                throws SigarException

  Throws:
    `SigarException`

### getProcEnv

    java.lang.String getProcEnv(java.lang.String pid,
                                java.lang.String key)
                                throws SigarException

  Throws:
    `SigarException`

### getProcModules

    java.util.List getProcModules(long pid)
                                  throws SigarException

  Throws:
    `SigarException`

### getProcModules

    java.util.List getProcModules(java.lang.String pid)
                                  throws SigarException

  Throws:
    `SigarException`

### getProcPort

    long getProcPort(int protocol,
                     long port)
                     throws SigarException

  Throws:
    `SigarException`

### getProcPort

    long getProcPort(java.lang.String protocol,
                     java.lang.String port)
                     throws SigarException

  Throws:
    `SigarException`

### getFileSystemList

    FileSystem[] getFileSystemList()
                                   throws SigarException

  Throws:
    `SigarException`

### getFileSystemMap

    FileSystemMap getFileSystemMap()
                                   throws SigarException

  Throws:
    `SigarException`

### getMountedFileSystemUsage

    FileSystemUsage getMountedFileSystemUsage(java.lang.String name)
                                              throws SigarException

  Throws:
    `SigarException`

### getFileSystemUsage

    FileSystemUsage getFileSystemUsage(java.lang.String name)
                                       throws SigarException

  Throws:
    `SigarException`

### getDiskUsage

    DiskUsage getDiskUsage(java.lang.String name)
                           throws SigarException

  Throws:
    `SigarException`

### getFileInfo

    FileInfo getFileInfo(java.lang.String name)
                         throws SigarException

  Throws:
    `SigarException`

### getLinkInfo

    FileInfo getLinkInfo(java.lang.String name)
                         throws SigarException

  Throws:
    `SigarException`

### getDirStat

    DirStat getDirStat(java.lang.String name)
                       throws SigarException

  Throws:
    `SigarException`

### getDirUsage

    DirUsage getDirUsage(java.lang.String name)
                         throws SigarException

  Throws:
    `SigarException`

### getCpuInfoList

    CpuInfo[] getCpuInfoList()
                             throws SigarException

  Throws:
    `SigarException`

### getCpuList

    Cpu[] getCpuList()
                     throws SigarException

  Throws:
    `SigarException`

### getCpuPercList

    CpuPerc[] getCpuPercList()
                             throws SigarException

  Throws:
    `SigarException`

### getNetRouteList

    NetRoute[] getNetRouteList()
                               throws SigarException

  Throws:
    `SigarException`

### getNetInterfaceConfig

    NetInterfaceConfig getNetInterfaceConfig(java.lang.String name)
                                             throws SigarException

  Throws:
    `SigarException`

### getNetInterfaceConfig

    NetInterfaceConfig getNetInterfaceConfig()
                                             throws SigarException

  Throws:
    `SigarException`

### getNetInterfaceStat

    NetInterfaceStat getNetInterfaceStat(java.lang.String name)
                                         throws SigarException

  Throws:
    `SigarException`

### getNetInterfaceList

    java.lang.String[] getNetInterfaceList()
                                           throws SigarException

  Throws:
    `SigarException`

### getNetConnectionList

    NetConnection[] getNetConnectionList(int flags)
                                         throws SigarException

  Throws:
    `SigarException`

### getNetListenAddress

    java.lang.String getNetListenAddress(long port)
                                         throws SigarException

  Throws:
    `SigarException`

### getNetListenAddress

    java.lang.String getNetListenAddress(java.lang.String port)
                                         throws SigarException

  Throws:
    `SigarException`

### getNetStat

    NetStat getNetStat()
                       throws SigarException

  Throws:
    `SigarException`

### getNetServicesName

    java.lang.String getNetServicesName(int protocol,
                                        long port)

### getWhoList

    Who[] getWhoList()
                     throws SigarException

  Throws:
    `SigarException`

### getTcp

    Tcp getTcp()
               throws SigarException

  Throws:
    `SigarException`

### getNfsClientV2

    NfsClientV2 getNfsClientV2()
                               throws SigarException

  Throws:
    `SigarException`

### getNfsServerV2

    NfsServerV2 getNfsServerV2()
                               throws SigarException

  Throws:
    `SigarException`

### getNfsClientV3

    NfsClientV3 getNfsClientV3()
                               throws SigarException

  Throws:
    `SigarException`

### getNfsServerV3

    NfsServerV3 getNfsServerV3()
                               throws SigarException

  Throws:
    `SigarException`

### getNetInfo

    NetInfo getNetInfo()
                       throws SigarException

  Throws:
    `SigarException`

### getFQDN

    java.lang.String getFQDN()
                             throws SigarException

  Throws:
    `SigarException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.